# Add Whitelist Rules

Creates multiple new whitelist rules for an organization, defining which libraries to match, their vulnerability scores and the actions to take. Whitelisted libraries have been pre-approved by your organization so no policy alerts will be created for them during scans, and they will be ignored by all organizational policies.

Endpoint: POST /api/v2.0/orgs/{orgToken}/settings/whiteList/rules
Version: 2.0
Security: bearer-key

## Path parameters:

  - `orgToken` (string, required)
    org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

## Request fields (application/json):

  - `rules` (array)

  - `rules.regex` (string, required)
    Example: "*aa*"

  - `rules.description` (string)
    Example: "description for white list"

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (array)

  - `retVal.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.regexType` (string)
    Enum: "BY_NAME", "BY_LIBRARY"

  - `retVal.regex` (string, required)
    Example: "*aa*"

  - `retVal.createdBy` (string)

  - `retVal.createdAt` (string)

  - `retVal.description` (string)
    Example: "Sample description"

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


